/// <reference types="node" />
import { Transform } from 'stream';
export declare type DynoType = 'web' | 'worker';
export declare const isHerokuLogLine: (line: string, regex?: RegExp) => boolean;
export declare const isHerokuAppLogLine: (line: string, regex?: RegExp, dyno?: DynoType) => boolean;
export declare const cleanHerokuLogLine: (line: string, regex?: RegExp) => string;
export declare const parseHerokuAppLogLine: (line: string, regex?: RegExp, dyno?: DynoType) => Record<string, unknown> | null;
export declare const herokuLogTransformer: Transform;
